**Source URL:** https://general.veevavault.dev/vault-api/api-reference/25.1/vault-objects/roll-up-fields/recalculate-roll-up-fields.md

# Recalculate Roll-up Fields



Recalculate all Roll-up fields for the specified object. [Learn more about Roll-up fields in Vault Help](https://platform.veevavault.help/en/gr/15057).

When performing a full recalculation, Vault evaluates all Roll-up fields on an object asynchronously.

This endpoint is equivalent to the *Recalculate Roll-up Fields* action in the Vault UI. While a recalculation is running, Admins cannot start another recalculation using either Vault API or Vault UI.

<Endpoint path="/api/{version}/vobjects/{object_name}/actions/recalculaterollups" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the object on which to start the Roll-up field recalculation. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/vobjects/product__v/actions/recalculaterollups

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

Returns `SUCCESS` if the recalculation starts successfully, or `FAILURE` if a recalculation is already running for the specified object.



---

**Previous:** [Roll-up Fields](/vault-api/api-reference/25.1/vault-objects/roll-up-fields)  
**Next:** [Retrieve Roll-up Field Recalculation Status](/vault-api/api-reference/25.1/vault-objects/roll-up-fields/retrieve-roll-up-field-recalculation-status)